# $Revision: 1.13 $, $Date: 2004/08/04 06:23:24 $
Summary:	selectwm, select a window manager at X startup
Summary(pl):	selectwm - wybr zarzdcy okien przy starcie X
Name:		selectwm
Version:	0.4
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://ordiluc.net/selectwm/%{name}-%{version}.tar.bz2
# Source0-md5:	2756cfe74a1fe062301aa6a630d47852
Patch0:		%{name}-am_fixes.patch
Patch1:		%{name}-po.patch
URL:		http://ordiluc.net/selectwm/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
selectwm is a simple but robust program that will let you pick a
window manager (or other executable) to run at X startup, and
optionally after a window manager exits. It uses the GTK+ toolkit, and
includes options like a timer to start the default window manager, and
modification of the window manager list from within selectwm.

%description -l pl
selectwm to prosty, ale uyteczny program, ktry pozwala wybra
zarzdc okien (lub inny program) do uruchomienia przy starcie X oraz
opcjonalnie po zakoczeniu dziaania zarzdcy okien. Uywa biblioteki
narzdziowej GTK+ i ma takie opcje, jak czas po ktrym uruchamia
domylnego zarzdc okien oraz modyfikowanie listy zarzdcw okien z
programu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/selectwm
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: selectwm.spec,v $
Revision 1.13  2004/08/04 06:23:24  ankry
- i18n fixes (-po patch), rel. 4

Revision 1.12  2004/04/07 23:25:15  qboosh
- fixed build, release 3 for Ac

Revision 1.11  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.10  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:26:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.7  2002/11/25 01:42:01  ankry
Massive attack:
- s/man[ea]d[z][ae]r/zarzdca/g
- (some) new %%doc

Revision 1.6  2002/10/02 14:40:34  kloczek
- fixed %files -f parameter.

Revision 1.5  2002/10/02 13:03:33  qboosh
- pl description, release 2

Revision 1.4  2002/09/28 16:35:53  kloczek
- added am_fixes patch
- finished (many fixes).

Revision 1.3  2002/09/28 11:24:14  grzegorz
- grr, stupid joe

Revision 1.2  2002/09/28 11:18:43  grzegorz
- adapterized
